Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: shutdown

Interfaces

### Description:

System shutdown command.

### Interfaces:

shutdown_domtrans( domain )

##### Summary

Execute a domain transition to run shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

shutdown_getattr_exec_files( domain )

##### Summary

Get attributes of shutdown executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shutdown_role( role , domain )

##### Summary

Role access for shutdown.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

shutdown_run( domain , role )

##### Summary

Execute shutdown in the shutdown domain, and allow the specified role the shutdown domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

shutdown_sigchld( domain )

##### Summary

Send SIGCHLD signals to shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shutdown_signal( domain )

##### Summary

Send generic signals to shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return